Bug 2090

Summary: Text cut off in Message box that displays an icon
Product: [Mono] Class Libraries Reporter: eb1
Component: Windows.FormsAssignee: Bugzilla <bugzilla>
Status: RESOLVED FIXED    
Severity: normal CC: miguel, mono-bugs+mono
Priority: Lowest    
Version: unspecified   
Target Milestone: Untriaged   
Hardware: PC   
OS: Linux   
Tags: mono-community Is this bug a regression?: ---
Last known good build:
Attachments: Screenshot that shows the problem.
Suggested fix
Screenshots

Description eb1 2011-11-18 12:15:06 UTC
Created attachment 906 [details]
Screenshot that shows the problem.

If a message box shows an icon and has a long text that wraps, the last characters in the line are cut off. See screenshot.
Comment 1 eb1 2011-11-18 12:18:47 UTC
Created attachment 907 [details]
Suggested fix
Comment 2 Thomas Goldstein 2012-06-13 14:19:49 UTC
Created attachment 2048 [details]
Screenshots

This patch does not seem quite right. Although the text is no longer truncated on the right, it's now truncated at the bottom. See screenshot (top: Mono unpatched, middle: Mono patched, bottom: .NET).
Comment 3 eb1 2014-03-10 11:54:25 UTC
Fixed in pull request #942.
Comment 4 Miguel de Icaza [MSFT] 2014-05-15 17:26:23 UTC
Merged